Subject: Type-2 Diabetes Reversal - Blood Sugar from 400 to 115

From: "Blood Sugar Tip" <[email-masked]>
Date: Fri, 24 Jun 2016 13:28:39 -0700

Please view this email for [email-masked] with HTML enabled.